/*
 * Copyright 2016-present Open Networking Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.onosproject.nemo.model.operation;

import java.util.List;

import org.onosproject.nemo.model.operation.action.definitions.ActionDefinition;

/**
 * The definition of a group of actions.
 */
public interface ActionDefinitions {

    /**
     * Returns a group of action definitions.
     *
     * @return the list of action definitions
     */
    List<ActionDefinition> getActionDefinitions();
}